{{- if .Values.serviceAccount.create -}}
apiVersion: v1
kind: ServiceAccount
metadata:
  name: {{ .Values.serviceAccount.name | default .Release.Name }}
  labels:
    app: {{ .Release.Name }}
    createDate: {{ now | date "2006-01-02T15-04-05" }}
    {{- include "deployment.labels" . | nindent 4 }}
    {{ with .Values.Labels }}
      {{- toYaml . | nindent 4 }}
    {{ end }}
  {{- with .Values.serviceAccount.annotations }}
  annotations:
    {{- toYaml . | nindent 4 }}
  {{- end }}
{{- end }}
